function add_css_tab(element) {
    jQuery(".mo_nav_tab_active ").removeClass("mo_nav_tab_active").removeClass("active");
    jQuery(element).addClass("mo_nav_tab_active");
}

function moCancelForm() {
    jQuery('#cancel_form').submit();
}

function mo_login_page() {
    jQuery('#customer_login_form').submit();
}

function moMediaBack() {
    jQuery('#mo_media_cancel_form').submit();
}

function create_file()
{
    jQuery('#create_file').submit();
}

function close_popup()
{
    jQuery('#close_popup').submit();
}

function showmodal()
{
    jQuery('#myModal').show();
}

function hidemodal()
{
    jQuery('#myModal').hide();
}
function moMediaUpgrade() {
    jQuery('a[href="#upgrade_plans"]').click();
    add_css_tab("#upgrade_tab");
}

jQuery(document).ready(function() {

    var input = document.querySelector('input[name=mo_media_restriction_file_types]');

    // initialize Tagify on the above input node reference
    
	tagify1 = new Tagify(input, {
        maxTags: 5,
        enforceWhitelist: true,
        whitelist: ["pdf", "png", "jpg", "doc", "gif"],
        blacklist: [] // In string format "hello","temp"
     
    });

    tagify1.on('invalid', onInvalidTag)
    function onInvalidTag(e){
        if(e.detail.message=='not allowed'){
            alert('Only png, jpg, gif, pdf, doc tags allowed in free version');
        }
        if(e.detail.message=='number of tags exceeded')
        {
            alert('Number of tags exceeded. You can\'t add any tags.');
        }
        
    }

    jQuery('.tagify').css("width", "100%");


    jQuery('.show_rules').click(function(){
        jQuery('.rules').show();
        jQuery('.file_restriction_UI').hide();
    });

    jQuery('.hide_rules').click(function(){
        jQuery('.rules').hide();
        jQuery('.file_restriction_UI').show();
    });
   
    jQuery('#auto_redirect_option').change(function(){
        if(jQuery(this).val()=='custom_url'|| jQuery(this).val()=='sso_url')
        {
            jQuery('#url_redirection').show();
        }else{
            jQuery('#url_redirection').hide();
        }
    });

    jQuery('#mo_enable_media_restriction').click(function(){
    
        if(jQuery('#mo_enable_media_restriction').is(':checked')){
          jQuery('#media_restriction_options').show();
        }
        else{
            jQuery('#media_restriction_options').hide();
        }
    });

});


