<?php
/**
 * @package     Joomla.User
 * @subpackage  plg_uset_mediarestriction
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

require_once JPATH_BASE . '/includes/defines.php';
require_once JPATH_BASE . '/includes/framework.php';
use Joomla\CMS\Uri\Uri;

jimport('joomla.user.helper');

class plgUserMiniorangeusermediarestriction extends JPlugin
{

    public function onUserAfterLogin($options)
    {
        $user = JFactory::getUser();
        require_once JPATH_SITE . DIRECTORY_SEPARATOR . 'administrator' . DIRECTORY_SEPARATOR . 'components' . DIRECTORY_SEPARATOR . 'com_miniorange_mediarestriction' . DIRECTORY_SEPARATOR . 'helpers' . DIRECTORY_SEPARATOR . 'mo_mediarestriction_utility.php';
        $configuration = MoMediaRestrictionUtility::getConfiguration();
        $enable_media_restriction = isset($configuration['enable_media_restriction'])? $configuration['enable_media_restriction']: 0;
        if($enable_media_restriction )
        {
            $cookie_name = "mo_user_logged_in";
            $cookie_value = "true";
            setcookie($cookie_name, $cookie_value, time() + (900), "/");

        }
      
    }


    public function onUserLogout($user, $options = array())
    {
       if(isset($_COOKIE['mo_user_logged_in']))
       { 
         setcookie('mo_user_logged_in','-1',time() - 100, '/');
         unset($_COOKIE['mo_user_logged_in']);
       }
    }

}
 
 